/*================================================*/
/* TVKHANDL.C                                     */
/*   KEYBOARD handle query functions              */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVmykbd   get handle for task's def keyboad    */
/*   Ralf Brown 4/3/88                            */
/*   Ralf Brown 7/14/88 modified for TVsendmsg1   */
/*================================================*/

OBJECT pascal TVmykbd(void)
{
   return (OBJECT) TVsendmsg1(OBJECT_MSG,KEYME,0) ;
}

/*================================================*/
/* TVkbdof  get handle of given task's keyboard   */
/*   Ralf Brown 4/8/88                            */
/*   Ralf Brown 7/14/88 modified for TVsendmsg1   */
/*================================================*/

OBJECT pascal TVkbdof(OBJECT task)
{
   return (OBJECT) TVsendmsg1(OBJECT_MSG, task?KEYTOS:KEYME, task) ;
}

/* End of TVKHANDL.C */
